set(NETGEN_VERSION "6.2-dev")

get_filename_component(NETGEN_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

get_filename_component(NETGEN_DIR "${NETGEN_CMAKE_DIR}/../../../" ABSOLUTE)

set(NETGEN_COMPILE_DEFINITIONS "HAVE_DLFCN_H;NETGEN_VERSION=\"6.2-dev\";TCL;OPENGL;USE_TOGL_2;TOGL_X11;NG_PYTHON;PARALLEL;METIS;OCCGEOMETRY;_OCC64")

get_filename_component(NETGEN_INCLUDE_DIR "${NETGEN_CMAKE_DIR}/../../../include/netgen" ABSOLUTE)
get_filename_component(NETGEN_BINARY_DIR "${NETGEN_CMAKE_DIR}/../../../bin" ABSOLUTE)
get_filename_component(NETGEN_LIBRARY_DIR "${NETGEN_CMAKE_DIR}/../../mips64el-linux-gnuabi64/netgen" ABSOLUTE)
get_filename_component(NETGEN_PYTHON_DIR "${NETGEN_CMAKE_DIR}/../../python3/dist-packages" ABSOLUTE)
get_filename_component(NETGEN_RESOURCE_DIR "${NETGEN_CMAKE_DIR}/../../../share" ABSOLUTE)

set(NETGEN_SOURCE_DIR "/build/netgen-eeqHeY/netgen-6.2.2006+really6.2.1905+dfsg")

set(NETGEN_INCLUDE_DIRS "${NETGEN_INCLUDE_DIR}/include;${NETGEN_INCLUDE_DIR}")
set(NETGEN_CMAKE_THREAD_LIBS_INIT "")
set(NETGEN_FFMPEG_LIBRARIES "")
set(NETGEN_JPEG_INCLUDE_DIR "")
set(NETGEN_JPEG_LIBRARIES "")
set(NETGEN_LIBTOGL "Togl")
set(NETGEN_METIS_INCLUDE_DIR "/usr/include")
set(NETGEN_METIS_LIBRARY "/usr/lib/mips64el-linux-gnuabi64/libmetis.so")
set(NETGEN_MKL_LIBRARIES "")
set(NETGEN_MPI_CXX_INCLUDE_PATH "/usr/lib/mips64el-linux-gnuabi64/openmpi/include;/usr/lib/mips64el-linux-gnuabi64/openmpi/include/openmpi")
set(NETGEN_MPI_CXX_LIBRARIES "/usr/lib/mips64el-linux-gnuabi64/openmpi/lib/libmpi_cxx.so;/usr/lib/mips64el-linux-gnuabi64/openmpi/lib/libmpi.so")
set(NETGEN_OCC_INCLUDE_DIR "/usr/include/opencascade")
set(NETGEN_OCC_LIBRARIES_BIN "")
set(NETGEN_OCC_LIBRARIES "/usr/lib/mips64el-linux-gnuabi64/libTKBO.so;/usr/lib/mips64el-linux-gnuabi64/libTKBool.so;/usr/lib/mips64el-linux-gnuabi64/libTKBRep.so;/usr/lib/mips64el-linux-gnuabi64/libTKCAF.so;/usr/lib/mips64el-linux-gnuabi64/libTKCDF.so;/usr/lib/mips64el-linux-gnuabi64/libTKernel.so;/usr/lib/mips64el-linux-gnuabi64/libTKG2d.so;/usr/lib/mips64el-linux-gnuabi64/libTKG3d.so;/usr/lib/mips64el-linux-gnuabi64/libTKGeomAlgo.so;/usr/lib/mips64el-linux-gnuabi64/libTKGeomBase.so;/usr/lib/mips64el-linux-gnuabi64/libTKHLR.so;/usr/lib/mips64el-linux-gnuabi64/libTKIGES.so;/usr/lib/mips64el-linux-gnuabi64/libTKLCAF.so;/usr/lib/mips64el-linux-gnuabi64/libTKMath.so;/usr/lib/mips64el-linux-gnuabi64/libTKMesh.so;/usr/lib/mips64el-linux-gnuabi64/libTKOffset.so;/usr/lib/mips64el-linux-gnuabi64/libTKPrim.so;/usr/lib/mips64el-linux-gnuabi64/libTKService.so;/usr/lib/mips64el-linux-gnuabi64/libTKShHealing.so;/usr/lib/mips64el-linux-gnuabi64/libTKSTEP.so;/usr/lib/mips64el-linux-gnuabi64/libTKSTEP209.so;/usr/lib/mips64el-linux-gnuabi64/libTKSTEPAttr.so;/usr/lib/mips64el-linux-gnuabi64/libTKSTEPBase.so;/usr/lib/mips64el-linux-gnuabi64/libTKSTL.so;/usr/lib/mips64el-linux-gnuabi64/libTKTopAlgo.so;/usr/lib/mips64el-linux-gnuabi64/libTKV3d.so;/usr/lib/mips64el-linux-gnuabi64/libTKXCAF.so;/usr/lib/mips64el-linux-gnuabi64/libTKXDEIGES.so;/usr/lib/mips64el-linux-gnuabi64/libTKXDESTEP.so;/usr/lib/mips64el-linux-gnuabi64/libTKXSBase.so")
set(NETGEN_OCC_LIBRARY_DIR "/usr/lib/mips64el-linux-gnuabi64")
set(NETGEN_OPENGL_LIBRARIES "/usr/lib/mips64el-linux-gnuabi64/libGL.so;/usr/lib/mips64el-linux-gnuabi64/libGLU.so")
set(NETGEN_PYTHON_EXECUTABLE "/usr/bin/python3")
set(NETGEN_PYTHON_INCLUDE_DIRS "/usr/include/python3.10")
set(NETGEN_PYTHON_LIBRARIES "/usr/lib/mips64el-linux-gnuabi64/libpython3.10.so")
set(NETGEN_TCL_INCLUDE_PATH "/usr/include/tcl")
set(NETGEN_TCL_LIBRARY "/usr/lib/mips64el-linux-gnuabi64/libtcl.so")
set(NETGEN_TK_DND_LIBRARY "")
set(NETGEN_TK_INCLUDE_PATH "/usr/include/tcl")
set(NETGEN_TK_LIBRARY "/usr/lib/mips64el-linux-gnuabi64/libtk.so")
set(NETGEN_X11_X11_LIB "/usr/lib/mips64el-linux-gnuabi64/libX11.so")
set(NETGEN_X11_Xmu_LIB "/usr/lib/mips64el-linux-gnuabi64/libXmu.so")
set(NETGEN_ZLIB_INCLUDE_DIRS "/usr/include")
set(NETGEN_ZLIB_LIBRARIES "/usr/lib/mips64el-linux-gnuabi64/libz.so")

set(NETGEN_USE_GUI ON)
set(NETGEN_USE_PYTHON ON)
set(NETGEN_USE_MPI ON)
set(NETGEN_USE_OCC ON)
set(NETGEN_USE_JPEG OFF)
set(NETGEN_USE_MPEG OFF)
set(NETGEN_INTEL_MIC OFF)
set(NETGEN_INSTALL_PROFILES OFF)
set(NETGEN_USE_CCACHE OFF)

set(NETGEN_PYTHON_RPATH "../../mips64el-linux-gnuabi64/netgen")
set(NETGEN_RPATH_TOKEN "$ORIGIN")

set(NETGEN_INSTALL_DIR_PYTHON lib/python3/dist-packages)
set(NETGEN_INSTALL_DIR_BIN bin)
set(NETGEN_INSTALL_DIR_LIB lib/mips64el-linux-gnuabi64/netgen)
set(NETGEN_INSTALL_DIR_INCLUDE include/netgen)
set(NETGEN_INSTALL_DIR_CMAKE lib/cmake/netgen)
set(NETGEN_INSTALL_DIR_RES share)

include(${CMAKE_CURRENT_LIST_DIR}/netgen-targets.cmake)
message(STATUS "Found Netgen: ${CMAKE_CURRENT_LIST_DIR}")
